$navBarHeight: 48px;
$buttonIconSize: 40px;
$inputSearchColor: #434a54;
$logOutButtonColor: #464a55;
$reportNavigationWidth: 272px;
$navBarBackgroundColor: #cbcfd8;
$reportSectionBackgroundColor: rgba(39, 163, 206, 1);

.top-navbar-container {
    z-index: 200;
    display: flex;

    height: 100%;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background-color: $navBarBackgroundColor;

    .top-navbar-logo-image {
        display: none;
        height: $navBarHeight;
        filter: brightness(50%);
        background-size: 95% 95%;
        background-position: 0px 5px;
        background-image: url('/assets/svg/logo.svg');
    }

    & > div {
        display: flex;

        flex-direction: row;

        &:last-child {
            justify-content: flex-end;
        }
    }

    input[type="text"] {
       width: $reportNavigationWidth;
    }

    button, input[type="text"] {
        border-radius: 0px;
        border: none;

        &:hover, &:active, &:focus {
            outline: none !important;
        }
    }

    .top-navbar-search-container {
        width: auto;
        display: flex;

        margin-left: 30px;
        flex-direction: row;
        align-items: center;
        height: $navBarHeight;
        justify-content: center;

        #toogle-left-sidebar-button {
            display: none;
            width: $navBarHeight;
            height: $navBarHeight;
            background-color: $logOutButtonColor;

            &:hover, &:active, &:focus {
                background-color: darken($logOutButtonColor, 10) !important;
            }

            .toogle-left-sidebar-icon {
                display: block;
                width: $buttonIconSize;
                height: $buttonIconSize;
                margin: -15px 0px 0px 4px;
                background-image: url('/assets/svg/icon-menu.svg');
            }
        }

        input[type="text"] {
            font-size: 14px;
            background: none;
            padding: 5px 8px 10px 8px;
            color: $inputSearchColor;
            border-bottom: 2px solid lighten($inputSearchColor, 20);

            &:hover {
                border-bottom-color: $inputSearchColor;
            }
        }

        button {
            background: none;
        }

        .top-navbar-search-icon {
            display: block;
            width: $buttonIconSize;
            height: $buttonIconSize;
            margin: -10px 0px 0px -10px;
            background-image: url("/assets/svg/icon-search.svg");

            &:hover {
                opacity: 0.65;
            }
        }
    }

    .log-out-button {
        margin-right: 48px;
        width: $navBarHeight;
        height: $navBarHeight;
        background-color: $logOutButtonColor;

        &:hover, &:active, &:focus {
            background-color: darken($logOutButtonColor, 10) !important;
        }

        .log-out-icon {
            display: block;
            margin: -15px 0 0 5px;
            width: $buttonIconSize;
            height: $buttonIconSize;
            background-image: url("/assets/svg/icon-log-out.svg");
        }
    }

    .top-navbar-report-navigation {
        display: flex;

        color: white;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        background-color: $reportSectionBackgroundColor;

        .top-navbar-report-navigation-title {
            opacity: 0.8;
            color: white;
            font-size: 14px;
            margin: 0 39px 0 40px;
        }

        hr {
          border: none;
          outline: none;
          margin: 0;
          height: 48px;
          width: 2px;
          background-color: #d8d8d8;
        }
    }

    .top-navbar-logout .btn {
      background-color: rgba(67, 74, 84, 1);
    }
    .top-navbar-report-navigation .btn {
      background-color: $reportSectionBackgroundColor;
    }
}


@media all and (min-width: 865px) {
  .top-navbar-logout .btn,
  .top-navbar-report-navigation .btn {
    padding: 18px;
  }
}

@media (max-width: 864px) {
    .top-navbar-search-container {
        input[type='text'] {
            background-color: $navBarBackgroundColor;
        }
    }
}

@media
    (min-width: 864px) and
    (max-width: 1068px) {
    .top-navbar-container {
        #top-navbar-search-input {
            width: 100%;
        }
    }
}

@media (max-width: 864px) {
    .top-navbar-container {
        width: 100%;

        #toogle-left-sidebar-button {
          display: block !important;
        }

        .top-navbar-logo-image {
            display: block;
            width: $navBarHeight * 2;
        }

        .top-navbar-search-container {
            margin: 0px;

            input[type='text'] {
                display: none;
            }
        }

        .top-navbar-search-input-container {
            left: 0px;
            width: 100%;
            height: 100%;
            display: flex;

            display: block;
            position: absolute;
            top: $navBarHeight;
            flex-direction: row;
            align-items: center;
            justify-content: center;
            border-top: 1px solid lighten($inputSearchColor, 45);
            background-color: rgba($navBarBackgroundColor, 0.95);

            input[type='text'] {
                width: 90%;
                height: 75%;
                padding: 2%;
                margin: 2% 5%;
                font-size: 16px;
                display: block;
                background: none;
            }
        }

        .log-out-button {
            margin-right: 0px;

            .log-out-icon {
                margin-left: 0px;
            }
        }

        .top-navbar-report-navigation {
           width: $navBarHeight;
           justify-content: center;

           hr, .top-navbar-report-navigation-title {
               display: none;
           }

           .top-navbar-report-navigation-icon {
               margin-right: 6px;
           }
        }
    }

   .top-navbar-container > div:last-child {
        width: 100%;

        .top-navbar-logo-image {
            width: 100%;
        }
   }
}
